%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-namespace-clean
Version:       0.27
Release:       2mamba
Summary:       namespace::clean - Keep imports and functions out of your namespace
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/R/RI/RIBASUSHI/namespace-clean-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-B-Hooks-EndOfScope
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Provides:      perl(namespace::clean::_Util)
BuildRequires: perl-Sub-Identify
Requires:      perl >= %perl_major_ver

%description
namespace::clean - Keep imports and functions out of your namespace.

%prep
%setup -q -n namespace-clean-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Apr 18 2023 Sdk Build System <sdk@mambasoft.it> 0.27-2mamba
- rebuilt with perl 5.36.0

* Fri Nov 11 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27-1mamba
- update to 0.27

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.20-1mamba
- package created using the webbuild interface
